Substy Developers
Team

Get team live shift activity

Read which employees are on shift and their active, idle or no-show status, filtered by the supported dates and creators.

GET/v1/agencies/{agencyId}/team/live-shift-activity

Read which employees are on shift and their active, idle or no-show status, filtered by the supported dates and creators.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length

Query Parameters

startDate?string
endDate?string
creatorIds?array<string>
Default[]

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/team/live-shift-activity" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": {    "generatedAt": "string",    "isLive": true,    "onShiftCount": 0,    "activeCount": 0,    "totalsMessages": 0,    "totalsRevenue": 0,    "actors": [      {        "id": "string",        "kind": "ai",        "name": "string",        "imageUrl": null,        "color": null,        "onShiftNow": true,        "status": "ACTIVE",        "messagesLast5m": 0,        "messagesPeriod": 0,        "revenuePeriod": 0,        "lastActionAt": null,        "minutesSinceLastAction": null      }    ]  },  "meta": {    "requestId": "string"  }}